/* ------------------------ TOP ------------------------------------- */
.top{
    align-items: center;
    max-width: 100%;
}

/* ------------- UserLogoutLanguage ---------------- */
.user-logout-language{
    display: grid;
    grid-template-areas: 
        ". User  Logout ."
        "Language Language Language Language";
    grid-template-columns: 1fr auto auto 1fr;
    background-color: #7aa2de;
}

/* ------------------------ Title -------------------------- */
#title-cont{
    display: flex;
    height: 10rem;
    justify-content: center;
    text-align: center;
    background-color: gray;
    align-items: center;
    background-color: #538ce0;
}

.navbar-brand{
    font-size: 3rem;
}

#img_logo{
    height: 80%;
}

/* -------- User ----- */
.user{
    grid-area: User;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    padding: 2rem;
    padding-right: 3rem;
    text-align: center;
    background-color: #7aa2de;
}

.user > span{
    font-size: 1rem;
}

#img_user{
    max-height: 3rem;
}

/* -------- Language ----- */
.dropdown {
    grid-area: Language;
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    background-color: #c5cfde;
}

.dropdown-content {
    display: none;
    overflow: auto;
    align-items: center;
}

.dropdown:hover .dropdown-content {
    display: inline-flex;
}

.dropdown-content a {
    display: block;
    color: #000000;
    font-size: 1.5rem;
    padding: 5px;
    text-decoration: none;
}

.dropdown-content a:hover {
    color: white;
    background-color: #00A4BD;
}

#img_flag{
    justify-content: center;
    height: 2.5rem;
}

/* ------------------- Logout ----------------- */

#bLogout{
    grid-area: Logout;
    width: 10%;
    padding-top: 1.8rem;
    border: 0;
    background-color: #7aa2de;
}

#img_logout{
    width: 4rem;
    height: 4rem;
}

/* ------------------------ NAV ------------------------------------- */

#nav{
    width: 100%;
    display: block;
    text-align: center;
    overflow: auto;
    background-color: #54ACF3;
}

nav > .nav-item{
    display: block;
    background-color: black;
    color: white;
    font-size: 2rem;
    padding: 0.5rem;
    margin:1rem;
    width: calc(100% - 2rem);
    border-radius: 10px;
    text-decoration: none;
}

.nav-item:hover{
    box-shadow: 5px 5px 5px rgb(5, 5, 5);
    background-color: gray;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1; 
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #888; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

/* -------------- Media queries -------------- */

@media (min-width: 576px) {
    .user-logout-language{
        grid-template-areas: 
            "Language User Logout";
        grid-template-columns: 45% 30% 30%;
        max-width: 100vw;
        background-color: #7aa2de;
    }

    .dropdown{
        background-color: #7aa2de;
        padding: 0;
        justify-content: center;
    }

    #title-cont{
        justify-content: center;
    }

    #img_flag {
        height: 2rem;
    }

    .dropdown-content a {
        font-size: 1.25rem;
    }

    .user{
        justify-content: left;
        padding: 0;
        gap:0.5rem;
    }

    .user > span{
        font-size: 1.5rem;
    }
    
    #img_user{
        max-height: 3rem;
    }

    #bLogout{
        justify-content: center;
        width: calc(100% - 3rem);
        padding: 0.5rem;
    }

    #nav{
        display: grid;
        grid-template-areas: 
        "home home"
        "ship ship"
        "book notif";
        grid-template-columns: 1fr 1fr;
        text-align: center;
        overflow: auto;
        background-color: #54ACF3;
    }

    #home{
        grid-area: home;
    }

    #ship{
        grid-area: ship;
    }

    #book{
        grid-area: book;
    }

    #notif{
        grid-area: notif;
    }
}

@media (min-width: 768px) {
    header{
        height: 25%;
        min-height: 125px;
    }

    /* ------------------------ TOP ------------------------------------- */
    .top{
        display: flex;
        justify-content: space-between;
        height: 50%;
    }
    
    /* ------------------------ Title -------------------------- */
    #title-cont{
        display: flex;
        height: 100%;
        background-color: white;
    }

    #img_logo{
        justify-content: right;
        
        height: 80%;
    }

    .navbar-brand{
        font-size: 2.5rem;
    }
    
    /* --------------- Div User-Language-logout ---------------- */
    
    .user-logout-language{
        display: flex;
        align-items: center;
        width: 50%;
        max-height: 50%;
        display: flex;
        justify-content: right;
        background-color: white;
    }
    
    /* -------- User ----- */
    .user{
        width: 30%;
        justify-content: right;
        margin-left: 3rem;
        padding: 0;
        background-color: white;
    }
    
    #img_user{
        justify-content: right;
        width: 30%;
        height: 80%;
    }
    
    .user > span{
        font-size: 1rem;
    }
    
    /* -------- Language ----- */
    .dropdown {
        display: flex;
        width: 60%;
        height: 80%;
        align-items: center;
        justify-content: right;
        background-color: white;
        padding: 0;
    }
    
    .dropdown-content {
        display: none;
        overflow: auto;
        align-items: center;
    }
    
    .dropdown:hover .dropdown-content {
        display: inline-flex;
    }
    
    .dropdown-content a {
        display: block;
        color: #000000;
        padding: 5px;
        font-size: 1rem;
        text-decoration: none;
    }
    
    .dropdown-content a:hover {
        color: #FFFFFF;
        background-color: #00A4BD;
    }
    
    #dropbutton:hover {
        color:white;
        background-color: #00A4BD;
    }

    .lang{
        justify-content: right;
        width: 20%;
        height: 80%;
    }
    
    #img_flag{
        justify-content: right;
        width: 100%;
        height: 100%;
    }
    
    /* ------------------- Logout ----------------- */
    
    #bLogout{
        width: 8%;
        height: 50%;
        align-items: center;
        margin-right: 1rem;
        margin-left: 1rem;
        border: 0;
        padding: 0;
        background-color: white;
    }
    
    #img_logout{
        width: 100%;
        height: 100%;
    }

    #nav{
        height: 50%;
        display: flex;
    }
    
    nav > .nav-item{
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0.5rem;
        margin: 0.5rem;
        font-size: 1.1rem;
    }

}

/* --------------------------------------------------------------------------------------------------- */

@media (min-width: 1024px) {
    header{
        height: 100%; 
        min-height: 112px;
    }
    
    /* ------------------------ TOP ------------------------------------- */
    .top{
        height: 50%;
    }
    
    /* --------------- Div User-Language-logout ---------------- */
    
    .user-logout-language{
        width: 30%;
    }

    #img_user{
        justify-content: right;
        width: 30%;
        height: 80%;
    }
    
    /* ------------------- Logout ----------------- */
    
    #bLogout{
        width: 10%;
    }
        
    /* ------------------------ NAV ------------------------------------- */
    
    #nav{
        height: 50%;
        display: flex;
    }
    
    nav > .nav-item{
        display: block;
        padding: 0.5rem;
        margin: 0.5rem;
    }

    #notif{
        margin: 0.5rem;
    }

    #book{
        margin: 0.5rem;
    }
}